[release-notes/gnome-3-4] Use autoreconf instead gnome-common



commit 5691ca54f08b68a76c278598ae8f2d5ae723e3d0
Author: Javier JardÃn <jjardon gnome org>
Date:   Fri Mar 16 14:09:16 2012 +0000

    Use autoreconf instead gnome-common

 autogen.sh |   34 ++++++++++++++++++----------------
 1 files changed, 18 insertions(+), 16 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 9eb0820..81b082d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,24 +1,26 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-PKG_NAME="release-notes"
+olddir=`pwd`
+cd $srcdir
 
-(test -f $srcdir/configure.ac \
- && test -d $srcdir/help) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
-}
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+        echo "*** No autoreconf found, please intall it ***"
+        exit 1
+fi
 
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME Git"
- exit 1
-}
+GNOMEDOC=`which yelp-build`
+if test -z $GNOMEDOC; then
+        echo "*** The tools to build the documentation are not found,"
+        echo "    please intall the yelp-tools package ***"
+        exit 1
+fi
 
-REQUIRED_AUTOMAKE_VERSION=1.6
-export REQUIRED_AUTOMAKE_VERSION
+autoreconf --force --install --verbose
 
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]